<?php
date_default_timezone_set('America/Bahia');
function conn(){
   $db = mysqli_connect("localhost", "root", "", "unidos") or die("Erro ao selecionar banco");
    mysqli_set_charset($db,"utf8");
    return $db;
}
$conn = conn();

//pegar registros da tabela principal de processos
$getAllDados = mysqli_query($conn, "SELECT * FROM processos_iniciados WHERE situacao = '1' LIMIT 500");
if (mysqli_num_rows($getAllDados) > 0) {
  while ($lista = mysqli_fetch_array($getAllDados)) {
    $id = $lista['id'];

    //popular informação na tabela de ProcessosIniciados_dep
    $add = mysqli_query($conn, "INSERT INTO processos_iniciados_dep(id,data_cadastro,id_user,situacao,surgimento,
      id_surgimento,aposentadoria)
      VALUES('".$lista['id']."','".$lista['data_cadastro']."','".$lista['id_user']."','".$lista['situacao']."',
        '".$lista['surgimento']."','".$lista['id_surgimento']."','".$lista['aposentadoria']."')");

    //pegar informações da tabela obs
    $getObs = mysqli_query($conn, "SELECT * FROM processos_obs WHERE id_processo = '$id'");
    if ($getObs) {
      while ($listaObs = mysqli_fetch_array($getObs)) {
        //popular informação na tabela de Obs_dep
        $add = mysqli_query($conn, "INSERT INTO processos_obs_dep(id,data_cadastro,id_user,id_processo,obs_descricao)
          VALUES('".$listaObs['id']."','".$listaObs['data_cadastro']."','".$listaObs['id_user']."',
            '".$listaObs['id_processo']."','".$listaObs['obs_descricao']."')");
      }
    }

    //pegar informações da tabela atividade
    $getAtividade = mysqli_query($conn, "SELECT * FROM processos_atividade WHERE processo_id = '$id'");
    if ($getAtividade) {
      while ($listaAtividade = mysqli_fetch_array($getAtividade)) {
        //popular informação na tabela de Atividade_dep
        $add = mysqli_query($conn, "INSERT INTO processos_atividade_dep(id,data_cadastro,processo_id,user_id,momento,status)
          VALUES('".$listaAtividade['id']."','".$listaAtividade['data_cadastro']."','".$listaAtividade['processo_id']."',
            '".$listaAtividade['user_id']."','".$listaAtividade['momento']."','".$listaAtividade['status']."')");
      }
    }

    //pegar informações da tabela de gerenciamento
    $getGerenciamento = mysqli_query($conn, "SELECT * FROM processos_gerenciamento WHERE id_processo_iniciado = '$id'");
    if ($getGerenciamento) {
      while ($listaGerenciamento = mysqli_fetch_array($getGerenciamento)) {
        //popular informação na tabela de Gerenciamento_dep
        $add = mysqli_query($conn, "INSERT INTO processos_gerenciamento_dep(id,data_cadastro,id_processo_iniciado,id_user,id_processo)
          VALUES('".$listaGerenciamento['id']."','".$listaGerenciamento['data_cadastro']."','".$listaGerenciamento['id_processo_iniciado']."',
            '".$listaGerenciamento['id_user']."','".$listaGerenciamento['id_processo']."')");
      }
    }

    //pegar informações da tabela de produtos
    $getProdutos = mysqli_query($conn, "SELECT * FROM processos_produtos WHERE id_processo = '$id'");
    if ($getProdutos) {
      while ($listaProdutos = mysqli_fetch_array($getProdutos)) {
        //popular informação na tabela de Produtos_dep
        $add = mysqli_query($conn, "INSERT INTO processos_produtos_dep(id,data_cadastro,id_produto,qtd_produto,
          qtd_retirada,id_processo)
          VALUES('".$listaProdutos['id']."','".$listaProdutos['data_cadastro']."','".$listaProdutos['id_produto']."',
            '".$listaProdutos['qtd_produto']."','".$listaProdutos['qtd_retirada']."','".$listaProdutos['id_processo']."')");
      }
    }

    //deletar informação das tabelas principais
    $delProcessosIniciados = mysqli_query($conn, "DELETE FROM processos_iniciados WHERE id = '$id'");
    $delObs = mysqli_query($conn, "DELETE FROM processos_obs WHERE id_processo = '$id'");
    $delAtividade = mysqli_query($conn, "DELETE FROM processos_atividade WHERE processo_id = '$id'");
    $delGerenciamento = mysqli_query($conn, "DELETE FROM processos_gerenciamento WHERE id_processo_iniciado = '$id'");
    $delProcessos = mysqli_query($conn, "DELETE FROM processos_produtos WHERE id_processo = '$id'");

  }

  die('terminamos aqui!');
}